org.apache.geode.cache

## Class CommitDistributionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheException
          - - org.apache.geode.cache.TransactionException
            - - org.apache.geode.cache.CommitDistributionException

- All Implemented Interfaces:
    java.io.Serializable

      public class CommitDistributionException
      extends TransactionException

  Indicates that an attempt to notify required participants of a transaction involving one or more regions that are configured with `MembershipAttributes` may have failed. The commit itself was completed but one or more regions affected by the transaction have one or more required roles that were not successfully notified. Failure may be caused by departure of one or more required roles while sending the operation to them. This exception will contain one `RegionDistributionException` for every region that had a reliability failure. Details of the failed `required roles` are provided in each RegionDistributionException.
  Since:
    GemFire 5.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitDistributionException(java.lang.String s)` Constructs a `CommitDistributionException` with a message.
    `CommitDistributionException(java.lang.String s, java.util.Set regionDistributionExceptions)` Constructs a `CommitDistributionException` with a message and a cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set` | `getRegionDistributionExceptions()` Returns set of RegionDistributionExceptions for each region that had a reliability failure during distribution of the operation.

    - ### Methods inherited from class org.apache.geode.cache.CacheException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitDistributionException

          public CommitDistributionException(java.lang.String s)

      Constructs a `CommitDistributionException` with a message.
      Parameters:
        `s` - the String message

    - #### CommitDistributionException

          public CommitDistributionException(java.lang.String s,
                                             java.util.Set regionDistributionExceptions)

      Constructs a `CommitDistributionException` with a message and a cause.
      Parameters:
        `s` - the String message
        `regionDistributionExceptions` - set of RegionDistributionExceptions for each region that had a reliability failure

  - ### Method Detail

    - #### getRegionDistributionExceptions

          public java.util.Set getRegionDistributionExceptions()

      Returns set of RegionDistributionExceptions for each region that had a reliability failure during distribution of the operation.
      Returns:
        set of RegionDistributionExceptions for each region that had a reliability failure during distribution of the operation